Summary: PEAR Net_Socket provides Network Socket Interface
%define name php-pear-Net-Socket
%define version 1.0.6
%define release 1
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
License: PHP License
Group: Applications/Web
Source0: php-pear-Net-Socket-%{version}.tgz
Url: http://pear.php.net/package/Net_Socket
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-%(id -u -n)-buildroot
BuildArchitectures: noarch
Requires: php
Obsoletes: pear-net_socket

%description
Net_Socket is a class interface to TCP sockets. It provides blocking
and non-blocking operation, with different reading and writing modes
(byte-wise, block-wise, line-wise and special formats like network
byte-order ip addresses).


%prep
%setup -q -n php-pear-Net-Socket-%{version}

%build

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/pear-addons/Net
cp -rp Socket* $RPM_BUILD_ROOT/usr/share/pear-addons/Net/

%files
%defattr(-,root,root)
%dir /usr/share/pear-addons/
/usr/share/pear-addons/*

%changelog
* Sun Aug 26 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0.6-1
- Updated package name to match what is in SME8 repo so upgrades from 7 to 8 will
  work without any issues.

* Tue Oct 10 2006 John H. Bennett III <bennettj@johnbennettservices.com> 1.0.6-00sme
- Initial

